Generate an older report
curl --request POST \
--url https://api.hellotracks.com/v1/reports/generate \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "jobs",
"format": "xlsx",
"from": "2026-10-01",
"until": "2026-10-31",
"memberIds": [
"a1b2c3"
],
"columns": [
{
"key": "title"
},
{
"key": "status",
"label": "State"
}
],
"async": true
}
'import requests
url = "https://api.hellotracks.com/v1/reports/generate"
payload = {
"type": "jobs",
"format": "xlsx",
"from": "2026-10-01",
"until": "2026-10-31",
"memberIds": ["a1b2c3"],
"columns": [
{ "key": "title" },
{
"key": "status",
"label": "State"
}
],
"async": True
}
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'jobs',
format: 'xlsx',
from: '2026-10-01',
until: '2026-10-31',
memberIds: ['a1b2c3'],
columns: [{key: 'title'}, {key: 'status', label: 'State'}],
async: true
})
};
fetch('https://api.hellotracks.com/v1/reports/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/reports/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'jobs',
'format' => 'xlsx',
'from' => '2026-10-01',
'until' => '2026-10-31',
'memberIds' => [
'a1b2c3'
],
'columns' => [
[
'key' => 'title'
],
[
'key' => 'status',
'label' => 'State'
]
],
'async' => true
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/reports/generate"
payload := strings.NewReader("{\n \"type\": \"jobs\",\n \"format\": \"xlsx\",\n \"from\": \"2026-10-01\",\n \"until\": \"2026-10-31\",\n \"memberIds\": [\n \"a1b2c3\"\n ],\n \"columns\": [\n {\n \"key\": \"title\"\n },\n {\n \"key\": \"status\",\n \"label\": \"State\"\n }\n ],\n \"async\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hellotracks.com/v1/reports/generate")
.header("API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"jobs\",\n \"format\": \"xlsx\",\n \"from\": \"2026-10-01\",\n \"until\": \"2026-10-31\",\n \"memberIds\": [\n \"a1b2c3\"\n ],\n \"columns\": [\n {\n \"key\": \"title\"\n },\n {\n \"key\": \"status\",\n \"label\": \"State\"\n }\n ],\n \"async\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/reports/generate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"jobs\",\n \"format\": \"xlsx\",\n \"from\": \"2026-10-01\",\n \"until\": \"2026-10-31\",\n \"memberIds\": [\n \"a1b2c3\"\n ],\n \"columns\": [\n {\n \"key\": \"title\"\n },\n {\n \"key\": \"status\",\n \"label\": \"State\"\n }\n ],\n \"async\": true\n}"
response = http.request(request)
puts response.read_body<string>{
"data": {
"job": {
"id": "6560000000000000000000d1",
"status": "queued",
"type": "jobs",
"format": "xlsx",
"source": "api",
"createdAt": 1762070000000,
"updatedAt": 1762070000000,
"startedAt": 0,
"completedAt": 0,
"failedAt": 0,
"attempts": 0,
"maxAttempts": 3,
"from": "2026-10-01",
"until": "2026-10-31",
"error": null,
"result": null
}
},
"error": null,
"meta": {
"path": "/v1/reports/generate",
"method": "POST"
}
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "date must be YYYY-MM-DD"
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Reports
Generate an older report
Makes an older report. By default the file itself is the answer (200, not the JSON envelope), with headers X-HT-Report-ID, X-HT-Report-Link, X-HT-Report-Type and X-HT-Report-Format, and a copy is stored (GET /reports/uploads). With async true a report job is queued instead and the answer is 202 with the job (follow it with GET /reports/jobs/). Errors use the JSON envelope; a failure while making the file is 500 report_generation_failed. This is the older reporting API; for new work use the newer routes (GET /reports/catalog, POST /reports/preview, POST /reports/run, /reports/saved). Admins, operators and the company key may call it; workers get 403 permission_denied.
POST
/
reports
/
generate
Generate an older report
curl --request POST \
--url https://api.hellotracks.com/v1/reports/generate \
--header 'API-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "jobs",
"format": "xlsx",
"from": "2026-10-01",
"until": "2026-10-31",
"memberIds": [
"a1b2c3"
],
"columns": [
{
"key": "title"
},
{
"key": "status",
"label": "State"
}
],
"async": true
}
'import requests
url = "https://api.hellotracks.com/v1/reports/generate"
payload = {
"type": "jobs",
"format": "xlsx",
"from": "2026-10-01",
"until": "2026-10-31",
"memberIds": ["a1b2c3"],
"columns": [
{ "key": "title" },
{
"key": "status",
"label": "State"
}
],
"async": True
}
headers = {
"API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'jobs',
format: 'xlsx',
from: '2026-10-01',
until: '2026-10-31',
memberIds: ['a1b2c3'],
columns: [{key: 'title'}, {key: 'status', label: 'State'}],
async: true
})
};
fetch('https://api.hellotracks.com/v1/reports/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hellotracks.com/v1/reports/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'jobs',
'format' => 'xlsx',
'from' => '2026-10-01',
'until' => '2026-10-31',
'memberIds' => [
'a1b2c3'
],
'columns' => [
[
'key' => 'title'
],
[
'key' => 'status',
'label' => 'State'
]
],
'async' => true
]),
CURLOPT_HTTPHEADER => [
"API-Key: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hellotracks.com/v1/reports/generate"
payload := strings.NewReader("{\n \"type\": \"jobs\",\n \"format\": \"xlsx\",\n \"from\": \"2026-10-01\",\n \"until\": \"2026-10-31\",\n \"memberIds\": [\n \"a1b2c3\"\n ],\n \"columns\": [\n {\n \"key\": \"title\"\n },\n {\n \"key\": \"status\",\n \"label\": \"State\"\n }\n ],\n \"async\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hellotracks.com/v1/reports/generate")
.header("API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"jobs\",\n \"format\": \"xlsx\",\n \"from\": \"2026-10-01\",\n \"until\": \"2026-10-31\",\n \"memberIds\": [\n \"a1b2c3\"\n ],\n \"columns\": [\n {\n \"key\": \"title\"\n },\n {\n \"key\": \"status\",\n \"label\": \"State\"\n }\n ],\n \"async\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hellotracks.com/v1/reports/generate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"jobs\",\n \"format\": \"xlsx\",\n \"from\": \"2026-10-01\",\n \"until\": \"2026-10-31\",\n \"memberIds\": [\n \"a1b2c3\"\n ],\n \"columns\": [\n {\n \"key\": \"title\"\n },\n {\n \"key\": \"status\",\n \"label\": \"State\"\n }\n ],\n \"async\": true\n}"
response = http.request(request)
puts response.read_body<string>{
"data": {
"job": {
"id": "6560000000000000000000d1",
"status": "queued",
"type": "jobs",
"format": "xlsx",
"source": "api",
"createdAt": 1762070000000,
"updatedAt": 1762070000000,
"startedAt": 0,
"completedAt": 0,
"failedAt": 0,
"attempts": 0,
"maxAttempts": 3,
"from": "2026-10-01",
"until": "2026-10-31",
"error": null,
"result": null
}
},
"error": null,
"meta": {
"path": "/v1/reports/generate",
"method": "POST"
}
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "date must be YYYY-MM-DD"
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "invalid_api_key",
"message": "Invalid Hellotracks API key."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "forbidden",
"message": "No permission."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "throttled",
"message": "Too many requests."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}{
"data": null,
"error": {
"code": "internal_error",
"message": "Hellotracks API is temporarily unavailable."
},
"meta": {
"path": "/jobs",
"method": "GET"
}
}Authorizations
Body
application/json
Response
The report file (when async is false).
The response is of type string.